/* timespec.h -- functions for manipulating timeval and timespec structures. */
/* Copyright 1999, 2001 Columbia University.  All rights reserved. */

#ifndef TIMESPEC_H_
#define TIMESPEC_H_

struct timespec timespec_delay(struct timeval now, double delay);
struct timeval timeval_until(struct timeval timeout);

int timespec_compare(struct timespec a, struct timespec b);

struct timespec timespec_min(struct timespec a, struct timespec b);

#endif /* TIMESPEC_H_ */
