/* libsip.h -- declarations for functions and variables that the user of
 * libsip needs to define. */

/* Copyright 1998-2001, Columbia University */

#ifndef LIBSIP_H_
#define LIBSIP_H_

#ifdef __cplusplus
extern "C" {
#endif

extern const char* server_name;

extern void SIP_OnIncomingRequest(request_t *r);
extern void SIP_OnIncomingAck(request_t *r);
extern void SIP_OnEndToEndAck(request_t *r);
extern int  SIP_HandleRequestLocally(char *method, uri_t uri);


#ifdef __cplusplus
}
#endif

#endif /* LIBSIP_H_ */
