#ifndef UDP_H_
#define UDP_H_

/* udp_thread_arg
 *  pass arguments to UDP thread 
*/
struct udp_thread_arg {
  unsigned short port; 
  char* primaryIP;    /* instead of INADDR_ANY use this, can be null */
  char* primaryIP6;   /* instead of inaddr6_any use this, can be null */
  void *server;       /* Server object pointer */
};

extern void *ReceiveUDP(void *arg);

#endif  /* UDP_H_ */

